use --as-needed just on linux, since *bsd way is broken... (patch from Diego Pettenò...
authorLuca Barbato <lu_zero@gentoo.org>
Sun, 22 Oct 2006 14:47:12 +0000 (14:47 +0000)
committerLuca Barbato <lu_zero@gentoo.org>
Sun, 22 Oct 2006 14:47:12 +0000 (14:47 +0000)
Originally committed as revision 6759 to svn://svn.ffmpeg.org/ffmpeg/trunk

configure

index 12a6054..8e360d9 100755 (executable)
--- a/configure
+++ b/configure
@@ -618,6 +618,7 @@ SLIBNAME_WITH_MAJOR='$(SLIBPREF)$(NAME)-$(LIBMAJOR)$(SLIBSUF)'
 SHFLAGS='-shared -Wl,--out-implib=lib$(NAME).dll.a'
 ;;
 Linux)
+check_ldflags '-Wl,--as-needed'
 ;;
 IRIX*)
 targetos=IRIX
@@ -1518,7 +1519,7 @@ check_cflags -Wredundant-decls
 check_cflags -Winline
 
 # add some linker flags
-check_ldflags '-Wl,--as-needed' '-Wl,-rpath-link,\$(BUILD_ROOT)/libavcodec' '-Wl,-rpath-link,\$(BUILD_ROOT)/libavformat' '-Wl,-rpath-link,\$(BUILD_ROOT)/libavutil'
+check_ldflags '-Wl,-rpath-link,\$(BUILD_ROOT)/libavcodec' '-Wl,-rpath-link,\$(BUILD_ROOT)/libavformat' '-Wl,-rpath-link,\$(BUILD_ROOT)/libavutil'
 
 # not all compilers support -Os
 test "$optimize" = "small" && check_cflags -Os